class FiboClass ext ProxifiedObject {
    Integer fib (Integer x) {
      if (x.st(2)) {
        x
      } else {
        this.fib(x.sub(1)).add(this.fib(x.sub(2)))
      }
    }

    Void main(String x) {
      out.println(x.fib(23))
    }
}
